Skip to content
DARK
PAWNS

A Multi-User DungeonEST. 1994

Download currently filtered retained logs

Look up the Dark Pawns admin API request and response contract. Sign in with a level 40 character and use the authenticated admin console session.

GET
/admin/logbook/export
curl --request GET \
--url 'https://example.com/admin/logbook/export?source=server&severity=&type=-1&level=-1&format=log'
source
string
default: server
Allowed values: server mudlog
severity
string
Allowed values: "" INFO WARN ERROR DEBUG
type
integer format: int64
default: -1 >= -1 <= 3
level
integer format: int64
default: -1 >= -1 <= 40
key
string
search
string
<= 500 characters
after

Inclusive RFC3339 timestamp.

string

Inclusive RFC3339 timestamp.

before

Inclusive RFC3339 timestamp.

string

Inclusive RFC3339 timestamp.

format
string
default: log
Allowed values: log csv

OK

Media typeapplication/json
string

Example generated

example
Cache-Control
string
Content-Disposition
string

Error

Media typeapplication/problem+json
object
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object> | null
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}